/*
 * Programa para calcular o instante de chegada de um dado voo
 * entradas: Instante de partida (hhp,mmp,ssp)
 *           Duração do voo (hhd,mmd,ssd)
 *           Diferença horária entre origem e o destino (difHor)
 * saída: Instante de chegada (dd,hhc,mmc,ssc)
 */

#include <stdio.h>
#include "calculaHoras.h"

int main() {

  int hhp,mmp,ssp;
  int hhd,mmd,ssd;
  int difHor;
  int hhc,mmc,ssc;
  int hhAux,mmAux,ssAux;
  int dd;

  // Leitura
  printf("Instante de Partida (hh,mm,ss): ");
  scanf("%d%d%d",&hhp,&mmp,&ssp);
  printf("Duração do Voo (hh,mm,ss): ");
  scanf("%d%d%d",&hhd,&mmd,&ssd);
  printf("Diferença Horária (hh): ");
  scanf("%d",&difHor);
  // Cálculo, Instante de partida + duração
  somarHoras(hhp,mmp,ssp,hhd,mmd,ssd,&hhAux,&mmAux,&ssAux);
  // Cálculo (Instante de partida + duração) + Fusos
  somarHoras(hhAux,mmAux,ssAux,difHor,0,0,&hhc,&mmc,&ssc);
  // Ajuste do valor achado, cálculo da mudança de dia 
  ajuste(&dd,&hhc);
  // Escrita do resultado 
  printf("\nO avião chegou às: ");
  if (dd == 0) {
    printf("%dh %dm %ds\n",hhc,mmc,ssc);
  }
  else {
    switch (dd) {
    case -1: 
      printf("%dh %dm %ds.\n",hhc,mmc,ssc);
      printf("Do dia anterior.\n");
      break;
    case 1: 
      printf("%dh %dm %ds.\n",hhc,mmc,ssc);
      printf("Do dia seguinte.\n");
      break;
    default:
      printf("Erro\n");
    }
  }
  return 0;
}
